<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentDetailType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgPaymentDetailType extends DgPaymentFormType
{
    /**
     * The PaymentAmount
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgPaymentAmount
     */
    public $PaymentAmount;
    /**
     * Constructor method for PaymentDetailType
     * @uses DgPaymentDetailType::setPaymentAmount()
     * @param \dgsoft\StructType\DgPaymentAmount $paymentAmount
     */
    public function __construct(\dgsoft\StructType\DgPaymentAmount $paymentAmount = null)
    {
        $this
            ->setPaymentAmount($paymentAmount);
    }
    /**
     * Get PaymentAmount value
     * @return \dgsoft\StructType\DgPaymentAmount|null
     */
    public function getPaymentAmount()
    {
        return $this->PaymentAmount;
    }
    /**
     * Set PaymentAmount value
     * @param \dgsoft\StructType\DgPaymentAmount $paymentAmount
     * @return \dgsoft\StructType\DgPaymentDetailType
     */
    public function setPaymentAmount(\dgsoft\StructType\DgPaymentAmount $paymentAmount = null)
    {
        $this->PaymentAmount = $paymentAmount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgPaymentDetailType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
